# wxVideoMode Struct Reference
[Application and System configuration]

`#include <wx/vidmode.h>`

## Detailed Description

Determines the sizes and locations of displays connected to the system.

##

Library: wxCore

Category: Application and System configuration

Predefined objects/pointers: wxDefaultVideoMode

See also:
  wxClientDisplayRect(), wxDisplaySize(), wxDisplaySizeMM()

## Public Member Functions
| wxVideoMode (int width=0, int height=0, int depth=0, int freq=0)
| Constructs this class using the given parameters.
bool | Matches (const wxVideoMode &other) const
| Returns true if this mode matches the other one in the sense that all non zero fields of the other mode have the same value in this one (except for refresh which is allowed to have a greater value).
int | GetWidth () const
| Returns the screen width in pixels (e.g.
int | GetHeight () const
| Returns the screen height in pixels (e.g.
int | GetDepth () const
| Returns bits per pixel (e.g.
bool | IsOk () const
| Returns true if the object has been initialized.
bool | operator== (const wxVideoMode &m) const
bool | operator!= (const wxVideoMode &mode) const
## Public Attributes
int | w
| The screen width in pixels (e.g.
int | h
| The screen height in pixels (e.g.
int | bpp
| Bits per pixel (e.g.
int | refresh
| Refresh frequency in Hz, 0 means unspecified/unknown.

List of all members.

## Constructor & Destructor Documentation

wxVideoMode::wxVideoMode | ( | int | width = `0`,
|  | int | height = `0`,
|  | int | depth = `0`,
|  | int | freq = `0` |
| ) |  |  |

Constructs this class using the given parameters.

## Member Function Documentation

int wxVideoMode::GetDepth | ( |  | ) | const

Returns bits per pixel (e.g.

32), 1 is monochrome and 0 means unspecified/known.

int wxVideoMode::GetHeight | ( |  | ) | const

Returns the screen height in pixels (e.g.

480), 0 means unspecified.

int wxVideoMode::GetWidth | ( |  | ) | const

Returns the screen width in pixels (e.g.

640), 0 means unspecified.

bool wxVideoMode::IsOk | ( |  | ) | const

Returns true if the object has been initialized.

bool wxVideoMode::Matches | ( | const wxVideoMode & | other | ) | const

Returns true if this mode matches the other one in the sense that all non zero fields of the other mode have the same value in this one (except for refresh which is allowed to have a greater value).

bool wxVideoMode::operator!= | ( | const wxVideoMode & | mode | ) | const

bool wxVideoMode::operator== | ( | const wxVideoMode & | m | ) | const

## Member Data Documentation

int wxVideoMode::bpp

Bits per pixel (e.g.

32), 1 is monochrome and 0 means unspecified/known.

int wxVideoMode::h

The screen height in pixels (e.g.

480), 0 means unspecified.

int wxVideoMode::refresh

Refresh frequency in Hz, 0 means unspecified/unknown.

int wxVideoMode::w

The screen width in pixels (e.g.

640), 0 means unspecified.

|  | [ top ]